using System;
using System.IO;
using Xunit;
using Exercise001;
using TestMyCode.CSharp.API.Attributes;

namespace ProgramTests
{
    public partial class ProgramTest
    {
        [Fact]
        [Points("1-1.1")]
        public void TestExample()
        {
            Numbers num = new Numbers();
            Assert.Equal(16, num.Sum(4075));
            Assert.Equal(3, num.Sum(3));
            Assert.Equal(81, num.Sum(999999999));
        }

        [Fact]
        [Points("1-1.1")]
        public void TestMoreValues()
        {
            Numbers num = new Numbers();
            Assert.Equal(0, num.Sum(0));
            Assert.Equal(41, num.Sum(387641561));
            Assert.Equal(18, num.Sum(99));
        }

        [Fact]
        [Points("1-1.2")]
        public void TestOtherValues()
        {
            Numbers num = new Numbers();
            Assert.Equal(30, num.Sum(645645));
            Assert.Equal(21, num.Sum(867));
            Assert.Equal(23, num.Sum(15461123));
        }

        [Fact]
        [Points("1-1.2")]
        public void TestMoreOtherValues()
        {
            Numbers num = new Numbers();
            Assert.Equal(30, num.Sum(645645));
            Assert.Equal(32, num.Sum(445757));
            Assert.Equal(45, num.Sum(123456789));
        }
    }
}
